Solved Flutter Doctor - Flutter plugin not installed; this adds Flutter specific functionality.

pr0ph3t

Expert
⚔️ MOD
834
21
19,350
Code:
Doctor summary (to see all details, run flutter doctor -v):
[√] Flutter (Channel stable, 1.22.3, on Microsoft Windows [Version 10.0.19042.610], locale en-IN)


[√] Android toolchain - develop for Android devices (Android SDK version 30.0.2)
[!] Android Studio (version 4.1.0)
    X Flutter plugin not installed; this adds Flutter specific functionality.
    X Dart plugin not installed; this adds Dart specific functionality.
[√] Connected device (1 available)


! Doctor found issues in 1 category.

I got the following error when I ran the flutter doctor command, but I have already installed both plugins on Android Studio!

And anyway when I tried to build an app it returned the following error:

Code:
FAILURE: Build failed with an exception.

* What went wrong:
Could not determine the dependencies of task ':app:compileDebugJavaWithJavac'.
> Failed to install the following SDK components:
      platforms;android-29 Android SDK Platform 29
  Install the missing components using the SDK manager in Android Studio.


* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at Gradle | Search for Help with Gradle

BUILD FAILED in 8m 53s
Exception: Gradle task assembleDebug failed with exit code 1
How to fix this?


 
Last edited:
  • Like
Reactions: Abhiram Shibu
Solution
Code:
Doctor summary (to see all details, run flutter doctor -v):
[√] Flutter (Channel stable, 1.22.3, on Microsoft Windows [Version 10.0.19042.610], locale en-IN)


[√] Android toolchain - develop for Android devices (Android SDK version 30.0.2)
[!] Android Studio (version 4.1.0)
    X Flutter plugin not installed; this adds Flutter specific functionality.
    X Dart plugin not installed; this adds Dart specific functionality.
[√] Connected device (1 available)


! Doctor found issues in 1 category.

I got the following error when I ran the flutter doctor command, but I have already installed both plugins on Android Studio!

And anyway when I tried to build an app it returned the following error:

Code:
FAILURE: Build failed...
Code:
Doctor summary (to see all details, run flutter doctor -v):
[√] Flutter (Channel stable, 1.22.3, on Microsoft Windows [Version 10.0.19042.610], locale en-IN)


[√] Android toolchain - develop for Android devices (Android SDK version 30.0.2)
[!] Android Studio (version 4.1.0)
    X Flutter plugin not installed; this adds Flutter specific functionality.
    X Dart plugin not installed; this adds Dart specific functionality.
[√] Connected device (1 available)


! Doctor found issues in 1 category.

I got the following error when I ran the flutter doctor command, but I have already installed both plugins on Android Studio!

And anyway when I tried to build an app it returned the following error:

Code:
FAILURE: Build failed with an exception.

* What went wrong:
Could not determine the dependencies of task ':app:compileDebugJavaWithJavac'.
> Failed to install the following SDK components:
      platforms;android-29 Android SDK Platform 29
  Install the missing components using the SDK manager in Android Studio.


* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at Gradle | Search for Help with Gradle

BUILD FAILED in 8m 53s
Exception: Gradle task assembleDebug failed with exit code 1
How to fix this?
Flutter doctor is just a bash script which tries to detect problems. If it says there is a problem, it may not be the case that you really do have a problem to fix. Just try reinstalling android studio. Then follow the guide correctly. Also add the android studio bin directory to the environment variables list. If you get a basic hello world app working for flutter, this means its setup properly and don't need to worry about the flutter doctor...

Hope this works. :)
 
  • Love
Reactions: pr0ph3t
Solution

pr0ph3t

Expert
⚔️ MOD
834
21
19,350

pr0ph3t

Expert
⚔️ MOD
834
21
19,350
Flutter doctor is just a bash script which tries to detect problems. If it says there is a problem, it may not be the case that you really do have a problem to fix. Just try reinstalling android studio. Then follow the guide correctly. Also add the android studio bin directory to the environment variables list. If you get a basic hello world app working for flutter, this means its setup properly and don't need to worry about the flutter doctor...

Hope this works. :)
Yesterday when i tried to run an app it returned and error. Let me reinstall android studio and try again.
I'll keep this thread updated.


 

pr0ph3t

Expert
⚔️ MOD
834
21
19,350
Flutter doctor is just a bash script which tries to detect problems. If it says there is a problem, it may not be the case that you really do have a problem to fix. Just try reinstalling android studio. Then follow the guide correctly. Also add the android studio bin directory to the environment variables list. If you get a basic hello world app working for flutter, this means its setup properly and don't need to worry about the flutter doctor...

Hope this works. :)
Abhiram Shibu Abhiram Shibu it worked after reinstalling Android Studio, flutter doctor still shows that warning but Android Studio was able to build and run the app. So only android studios need to see flutter files and don't matter if flutter doctor cant see android studio files.
 

Sponsored